import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listState(data) {
  return request({
    url: '/tState/list',
    method: 'post',
    data: data
  })
}

// 查询【请填写功能名称】详细
export function getState(id) {
  return request({
    url: '/tState/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addState(data) {
  return request({
    url: '/tState',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateState(data) {
  return request({
    url: '/tState',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delState(id) {
  return request({
    url: '/tState/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportState(query) {
  return request({
    url: '/tState/export',
    method: 'get',
    params: query
  })
}
